Package org.eclipse.ui.handlers

# Class ExpandAllHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.handlers.ExpandAllHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

public class ExpandAllHandler extends AbstractHandler
Expand a tree viewer.

It can be used in a part's createPartControl(Composite) method:

     IHandlerService handlerService = (IHandlerService) getSite().getService(IHandlerService.class);
     expandHandler = new ExpandAllHandler(myViewer);
     handlerService.activateHandler(ExpandAllHandler.COMMAND_ID, expandHandler);

The part should dispose the handler in its own dispose() method. The part can provide its own expand all handler if desired, or if it needs to delegate to multiple tree viewers.

Note: This class can be instantiated. It should not be subclasses.

Since:
  3.6

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMMAND_ID`
The command id for collapse all.

## Constructor Summary

Constructors
Constructor
Description
`ExpandAllHandler(AbstractTreeViewer viewer)`
Create the handler for this tree viewer.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
The default implementation does nothing.
`Object`
`execute(ExecutionEvent event)`
Executes with the map of parameter values by name.

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMMAND_ID

public static final String COMMAND_ID
The command id for collapse all.

See Also:
  - Constant Field Values

## Constructor Details

### ExpandAllHandler

public ExpandAllHandler(AbstractTreeViewer viewer)
Create the handler for this tree viewer.

Parameters:
  `viewer` - The viewer to expand. Must not be `null`.

## Method Details

### execute

public Object execute(ExecutionEvent event)
Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Parameters:
  `event` - An event containing all the information about the current state of the application; must not be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.

### dispose

public void dispose()
Description copied from class: `AbstractHandler`
The default implementation does nothing. Subclasses who attach listeners to other objects are encouraged to detach them in this method.

Specified by:
  `dispose` in interface `IHandler`
Overrides:
  `dispose` in class `AbstractHandler`